xmingw 3.3.2

Erik Poupaert erik.poupaert@skynet.be
Fri Mar 12 18:28:00 GMT 2004


Hi,

I remember that Mohan had to apply all kinds of patches to make the cross-compiler
(host=linux, target=mingw32) work.

Are these patches still needed for 3.3.2? Does anybody know from what version the
vanilla sources (without patching) will work out of the box?

i686-pc-linux-gnu-3.3.2

Someone also happened to contribute the ebuilds to build 3.3.1 xmingw on gentoo, but
he only included lang=c,c++

dev-util/xmingw-binutils
dev-util/xmingw-gcc
dev-util/xmingw-runtime
dev-util/xmingw-w32api

I'd like to see if I can manage to upgrade these ebuilds, by adding support for
lang=java (use flag), and targeting 3.3.2 (currently gentoo's stable version).

Does anybody still have the patches, fixes, and scripts needed for 3.3.2 and the
minimum versions required for binutils and w32api?

Or else, I could wait until the version (what version?) that cross-compiles out of
the box, becomes mainstream?

Greetings
Erik



More information about the Java mailing list